package com.qiankun.dao;

import com.qiankun.dao.core.Hints;
import com.qiankun.dao.core.IDao;
import com.qiankun.entity.Wish;
import com.qiankun.pages.IPageList;

import java.util.List;

public interface WishDao extends IDao<Wish,String> {

    Wish findById(String id);

    IPageList<Wish> findByRainbowPlanUserId(String userId, String activityId, Hints hints);

    IPageList<Wish> findAllByAvailableActivity(String activityId,Hints hints);

    IPageList<Wish> findByVolunteeId(String id, Hints hints);

	IPageList<Wish> findPages(String searchStr, String activityId, String order, String sort, Hints hints);
}
